# Generated by Django 3.2.8 on 2021-11-08 20:26

import django.db.models.deletion
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("shared", "0001_initial"),
        ("taggit", "0003_taggeditem_add_unique_index"),
        ("district", "0004_auto_20210209_1222"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="districthomepage",
            options={"verbose_name": "Web místního sdružení"},
        ),
        migrations.RemoveField(
            model_name="districthomepage",
            name="content",
        ),
        migrations.AddField(
            model_name="districtcontactpage",
            name="text",
            field=wagtail.fields.RichTextField(blank=True, verbose_name="Text"),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="articles_title",
            field=models.CharField(
                default="Děje se", max_length=256, verbose_name="Nadpis článků"
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="calendar_button_text",
            field=models.CharField(
                default="Kalendář",
                max_length=256,
                verbose_name="Text tlačítka kalendáře",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="calendar_embed_link",
            field=models.URLField(
                default="",
                help_text="Mělo by začínat 'https://calendar.google.com/calendar/embed?...'",
                verbose_name="Odkaz na embed kalendář",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="region_map_button_text",
            field=models.CharField(
                default="Piráti v krajích",
                max_length=256,
                verbose_name="Text tlačítka mapy",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="subheader",
            field=wagtail.fields.StreamField(
                [
                    (
                        "header",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "subtitle",
                                    wagtail.blocks.CharBlock(
                                        label="Podtitulek", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock()),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Blok pod headerem",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="twitter",
            field=models.URLField(blank=True, null=True, verbose_name="Twitter URL"),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="youtube",
            field=models.URLField(blank=True, null=True, verbose_name="YouTube URL"),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="footperson_coord",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="district_footperson_coord",
                to="shared.person",
                verbose_name="Koordinátor",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="footperson_electman",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="district_footperson_electman",
                to="shared.person",
                verbose_name="Volební manažer",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="footperson_media",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="district_footperson_media",
                to="shared.person",
                verbose_name="Kontakt pro média",
            ),
        ),
        migrations.CreateModel(
            name="DistrictProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField(blank=True, verbose_name="Perex")),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "program_block",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek bloku", required=True
                                            ),
                                        ),
                                        (
                                            "perex",
                                            wagtail.blocks.TextBlock(
                                                label="Krátký text pod nadpisem",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Garant",
                                                page_type=[
                                                    "district.DistrictPersonPage"
                                                ],
                                            ),
                                        ),
                                        (
                                            "redmine_issue",
                                            wagtail.blocks.IntegerBlock(
                                                label="Číslo Redmine issue",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Program",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="DistrictPersonTag",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content_object",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="district.districtpersonpage",
                    ),
                ),
                (
                    "tag",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="district_districtpersontag_items",
                        to="taggit.tag",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="districtpersonpage",
            name="groups",
            field=modelcluster.contrib.taggit.ClusterTaggableManager(
                blank=True,
                help_text="Skupina pro zařazení na stránce Lidé",
                through="district.DistrictPersonTag",
                to="taggit.Tag",
                verbose_name="Tags",
            ),
        ),
    ]
